Subject: Re: [EAI] RFC 4409 Message Submission

From: "Charles Lindsey" <[email-masked]>
Date: Tue, 02 May 2006 18:00:54 +0100

On Fri, 28 Apr 2006 07:26:08 +0100, YAO Jiankang <[email-masked]> wrote:

>> Does 'smtpext' document need to describe Submission ?
>
> SMTP was defined as a message *transfer* protocol, that is, a means
>    to route (if needed) and deliver finished (complete) messages.

Not quite. When SMTP was defined (and even when RFC 2821 was written),  
"submission" was not regarded as a separate activity, and MUAs submitted  
their messages direct to SMTP servers on Port 25. Indeed, many MUAs still  
do that, so out smtpext needs to handle them sensibly (and I think it  
currently does).

> RFC 2476 is to deal with how to sumbit the message to the server.
> IMO, no need to describe the issues related with RFC 2476 in 'smtpext'  
> document

ISTM that submission agents (RFC 2476 or whatever has replaced it)  
therefore have to be able to do at least as much by way of  
downgrading/bouncing/etc as any other SMTP agent, in which case smtpext is  
the place to discuss it, as an extension to the RFC 2476(bis?) protocol.

That is not to say that we moght not propose some slightly different  
features for handling messages in submission  agents. For example, it  
might be more reasonable to bounce (rather than downgrade) messages in a  
submission agent, on the grounds that it is closer to the sender, and  
therefore easier to send it back to him for him to fix the problem himself.

-- 
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133   Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked]      Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9      Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

_______________________________________________
IMA mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ima

---

From: "Charles Lindsey" <[email-masked]>
Date: Tue, 02 May 2006 18:00:54 +0100

---

From: John C Klensin <[email-masked]>
Date: Tue, 02 May 2006 14:48:11 -0400

--On Tuesday, 02 May, 2006 18:00 +0100 Charles Lindsey
<[email-masked]> wrote:

>> RFC 2476 is to deal with how to sumbit the message to the
>> server. IMO, no need to describe the issues related with RFC
>> 2476 in 'smtpext'   document
> 
> ISTM that submission agents (RFC 2476 or whatever has replaced
> it)  therefore have to be able to do at least as much by way
> of  downgrading/bouncing/etc as any other SMTP agent, in which
> case smtpext is  the place to discuss it, as an extension to
> the RFC 2476(bis?) protocol.
> 
> That is not to say that we moght not propose some slightly
> different  features for handling messages in submission
> agents. For example, it  might be more reasonable to bounce
> (rather than downgrade) messages in a  submission agent, on
> the grounds that it is closer to the sender, and  therefore
> easier to send it back to him for him to fix the problem
> himself.

The submission agent might also have access to much more
information than a typical SMTP relay.  I could easily imagine
storing a table of i18nAddress <-> ASCII address equivalences in
such an agent, especially for backward (sender)-pointer
addresses so that the agent could do some downgrading without
the need for the user to supply ALT-ADDRESS or ATOMIC (or
equivalent) for each i18nAddress.    

So, yes, I think something that discusses changes to 2476bis
(which, as you might guess from the subject line, is 4409) would
be in order.  I'm not convinced that the topic deserves more
than a mention in smtpext and even that mention might be mostly
in the framework doc.

See my other note on the subject -- comments are very welcome,
ideally before YangWoo and I get the next version of the
framework doc out (RSN, I hope).

    john